void ntp()
{ Serial1.setTimeout(2000);
  char c1 ;
  char c2 ;

  int x1, y1;
  bool ter = 0;
  myGLCD.setColor(255, 255, 255); //белые буквы ком строки
  myGLCD.setBackColor(0, 0, 155); //фон цифр
  myGLCD.setFont(BigFont);
  
  myGLCD.print("     NTP      " , 280, 457);
 while (Serial1.available())//очистка буфера
            {
              Serial1.read();
              delay(2);
            }
      
  digitalWrite(14, LOW);
  delay(1000);
  digitalWrite(14, HIGH);//reset WIFI
  myGLCD.print("   connecting    " , 280, 457);
  delay(2000);

  int i = 0;
  int q = 0;
 // myGLCD.print("   WIFI connect     " , 240, 457);
  //***********************************************************************************************************
   //****************************************************************************
  i = 0;
  while (Serial1.available()) {
    if (Serial1.find("hi"))
    {
      myGLCD.print("WiFi connected" , 280, 457);
    }
  }

  //**************************************
  Serial1.print("7");//проверка подключения к точке доступа если ответ больше 0 то подключились
  delay(1000);
 // myGLCD.print("  read server  " , 280, 457);
  //***************************
  i = 0;
  while (i < 600)
  {
    i++;
    if (Serial1.available()) {
      if (Serial1.find("IP"))
      { Serial1.read();

        int ip1 = Serial1.parseInt();

        int ip2 = Serial1.parseInt();

        int ip3 = Serial1.parseInt();

        int ip4 = Serial1.parseInt();

        // Serial2.read();
        String data1 = "IP:" +  String(ip1) + "." + String(ip2) + "." + String(ip3) + "." + String(ip4) + "   ";
        // String data1;
        //  data1 += ip1;
        //  data1 += ".";
        //   data1 += ip2;
        //   data1 += ".";
        //   data1 += ip3;
        //   data1 += ".";
        //   data1 += ip4;
        //    data1 += "    "
        myGLCD.print(data1 , 240, 457);
      }
      Serial1.print("2");//проверка подключения к точке доступа если ответ больше 0 то подключились
      delay(1000);
    
        if (Serial1.find("2+"))
        {i=700;
          myGLCD.print("     read ntp   " , 240, 457);
          h1 = Serial1.parseInt();
          m1 = Serial1.parseInt();
          s1 = Serial1.parseInt();
          day1 = Serial1.parseInt();
          month1 = Serial1.parseInt() * (-1);
          year1 = Serial1.parseInt() * (-1);
          if ( year1 == 1970)
          {
            Serial1.print("2");
            delay(1000);
            myGLCD.print("  end read NTP1   " , 280, 457);
            if (Serial1.find("2+"))
            {
              myGLCD.print("    read NTP2    " , 280, 457);
              delay(1000);
              h1 = Serial1.parseInt();
              m1 = Serial1.parseInt();
              s1 = Serial1.parseInt();
              day1 = Serial1.parseInt();
              month1 = Serial1.parseInt() * (-1);
              year1 = Serial1.parseInt() * (-1);
            }
          }

        }


      }
    
    if (i > 0)delay (10);
  }
 

  myGLCD.print("          " , 240, 457);
  String data =  String(day1) + "/" + String(month1) + "/" + String(year1) + "       ";
  myGLCD.print(data , 300, 457);


}
